DBOCQX(3)

SYNOPSIS
SUBROUTINE DBOCQX (LUN, KPRINT, IPASS)

NAME
dbocqx - Quick check for DBOCLS.

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (SBOCQX-S, DBOCQX-D)

KEYWORDS
QUICK CHECK

AUTHOR
(UNKNOWN)

DESCRIPTION
MINIMAL TEST DRIVER FOR DBOCLS, BOUNDED CONSTRAINED LEAST SQUARES SOLVER. DELIVERS THE VALUE IPASS=1 IF 8 TESTS WERE PASSED. DELIVER THE VALUE IPASS=0 IF ANY ONE OF THEM FAILED. RUN FOUR BOUNDED LEAST SQUARES PROBLEMS THAT COME FROM THE DIPLOME WORK OF P. ZIMMERMANN.

ROUTINES CALLED
D1MACH, DBOCLS, DBOLS, DCOPY, DNRM2

REVISION HISTORY (YYMMDD)
850310 DATE WRITTEN
890618 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
901010 Added PASS/FAIL message. (RWC)